/*
 * Block: Quote Section
 */

.cs-quote__layout {
	display: grid;
	grid-template-columns: calc((min(34vw - var(--gutter), var(--content-width) * 0.34)) - (var(--grid-gap) / 2)) minmax(0, 1fr);
	column-gap: var(--container-gap);
	align-items: start;
}

@media (max-width: 900px) {
	.cs-quote__layout {
		grid-template-columns: 1fr;
		row-gap: var(--space-m);
	}

	.cs-quote__left {
		grid-row: 2;
		flex-direction: row;
	}
}

/* =============================================
   LEFT COLUMN (quote mark + attribution)
   ============================================= */

.cs-quote__left {
	display: flex;
	flex-direction: column;
	gap: var(--space-m);
	align-items: flex-end;
	flex-grow: 1;
	justify-content: space-between;
	height: 100%;
}

.cs-quote__mark {
	width: 72px;
	height: auto;
	flex-shrink: 0;
}

/* =============================================
   ATTRIBUTION
   ============================================= */

.cs-quote__attribution {
	display: flex;
	flex-direction: column;
	gap: 0.2rem;
	align-items: flex-end;
}

.cs-quote__author {
	font-size: var(--text-l);
	color: var(--base);
	font-weight: 700;
}

.cs-quote__role {
	font-size: var(--text-s);
	font-weight: 400;
	color: var(--base-semi-dark);
}

.bg--primary .cs-quote__role {
	color: var(--base);
	font-weight: 600;
}

/* =============================================
   QUOTE TEXT
   ============================================= */

.cs-quote__text {
	font-size: clamp(2rem, 3.5vw, 4.0rem);
	font-weight: 800;
	line-height: 1.25;
	margin: 0;
	font-family: var(--text-font-family);
	color: var(--base);
	padding: 0;
	max-width: var(--width-50);
	border: none;
}
